summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2011-11-22 21:13:50 +0000
committerUlrich Müller <ulm@gentoo.org>2011-11-22 21:13:50 +0000
commite95d93f7baa2874a4d865320ea95b3cc182efb85 (patch)
treedb7b12009a5883c9534eb39194744f64baa689c5 /eclass
parentSimplify. (diff)
downloademacs-e95d93f7baa2874a4d865320ea95b3cc182efb85.tar.gz
emacs-e95d93f7baa2874a4d865320ea95b3cc182efb85.tar.bz2
emacs-e95d93f7baa2874a4d865320ea95b3cc182efb85.zip
Revert, going back to revision 1742.
svn path=/emacs-overlay/; revision=1750
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/elisp.eclass23
2 files changed, 4 insertions, 25 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 0759d4f..c090175 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,9 +1,3 @@
-2011-11-21 Ulrich Mueller <ulm@gentoo.org>
-
- * elisp.eclass (ELISP_SOURCES): New variable, allows to specify
- a list of source files that should be compiled and installed.
- (elisp_src_compile, elisp_src_install): Use it.
-
2011-10-17 Ulrich Mueller <ulm@gentoo.org>
* elisp.eclass (elisp_src_prepare): Allow for user patches.
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index b74faf4..2cbd426 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -48,14 +48,6 @@
# reserved for internal use. "50${PN}-gentoo.el" is a reasonable choice
# in most cases.
-# @ECLASS-VARIABLE: ELISP_SOURCES
-# @DEFAULT_UNSET
-# @DESCRIPTION:
-# Space separated list of Emacs Lisp sources. These will be
-# byte-compiled in src_compile() and installed in src_install().
-# Normally this variable needs not be set, in which case the default is
-# to compile all *.el files and to install all *.el and *.elc files.
-
# @ECLASS-VARIABLE: ELISP_TEXINFO
# @DEFAULT_UNSET
# @DESCRIPTION:
@@ -141,13 +133,12 @@ elisp_src_configure() { :; }
# @FUNCTION: elisp_src_compile
# @DESCRIPTION:
-# Call elisp-compile to byte-compile all Emacs Lisp (*.el) files;
-# if ELISP_SOURCES is set, then compile only the files listed there.
+# Call elisp-compile to byte-compile all Emacs Lisp (*.el) files.
# If ELISP_TEXINFO lists any Texinfo sources, call makeinfo to generate
# GNU Info files from them.
elisp_src_compile() {
- elisp-compile ${ELISP_SOURCES:-*.el} || die
+ elisp-compile *.el || die
if [[ -n ${ELISP_TEXINFO} ]]; then
makeinfo ${ELISP_TEXINFO} || die
fi
@@ -155,19 +146,13 @@ elisp_src_compile() {
# @FUNCTION: elisp_src_install
# @DESCRIPTION:
-# Call elisp-install to install all Emacs Lisp (*.el and *.elc) files;
-# if ELISP_SOURCES is set, then install only the files listed there.
+# Call elisp-install to install all Emacs Lisp (*.el and *.elc) files.
# If the SITEFILE variable specifies a site-init file, install it with
# elisp-site-file-install. Also install any GNU Info files listed in
# ELISP_TEXINFO and documentation listed in the DOCS variable.
elisp_src_install() {
- if [[ -n ${ELISP_SOURCES} ]]; then
- set -- ${ELISP_SOURCES}
- elisp-install ${PN} $@ ${@/%.el/.elc} || die
- else
- elisp-install ${PN} *.el *.elc || die
- fi
+ elisp-install ${PN} *.el *.elc || die
if [[ -n ${SITEFILE} ]]; then
elisp-site-file-install "${FILESDIR}/${SITEFILE}" || die
fi